Xerces-C++: OutOfMemoryException Class Reference

Xerces-C++ 3.3.0

Public Member Functions | List of all members
OutOfMemoryException Class Reference

`#include <xercesc/util/OutOfMemoryException.hpp>`

Inheritance diagram for OutOfMemoryException:

## Public Member Functions
| OutOfMemoryException ()
| ~OutOfMemoryException ()
XMLExcepts::Codes | getCode () const
const XMLCh * | getMessage () const
const XMLCh * | getType () const
const char * | getSrcFile () const
XMLFileLoc | getSrcLine () const
| OutOfMemoryException (const OutOfMemoryException &toCopy)
OutOfMemoryException & | operator= (const OutOfMemoryException &toAssign)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ OutOfMemoryException() [1/2]

OutOfMemoryException::OutOfMemoryException | ( |  | ) |

## ◆ ~OutOfMemoryException()

OutOfMemoryException::~OutOfMemoryException | ( |  | ) |

## ◆ OutOfMemoryException() [2/2]

OutOfMemoryException::OutOfMemoryException | ( | const OutOfMemoryException & | toCopy | ) |

## Member Function Documentation

## ◆ getCode()

XMLExcepts::Codes OutOfMemoryException::getCode | ( |  | ) | const

## ◆ getMessage()

const XMLCh * OutOfMemoryException::getMessage | ( |  | ) | const

## ◆ getSrcFile()

const char * OutOfMemoryException::getSrcFile | ( |  | ) | const

## ◆ getSrcLine()

XMLFileLoc OutOfMemoryException::getSrcLine | ( |  | ) | const

## ◆ getType()

const XMLCh * OutOfMemoryException::getType | ( |  | ) | const

## ◆ operator=()

OutOfMemoryException & OutOfMemoryException::operator= | ( | const OutOfMemoryException & | toAssign | ) |

The documentation for this class was generated from the following file:

- OutOfMemoryException.hpp